Subject: ELF link errors during compilation

From: [email-masked]
Date: Thu, 21 Mar 1996 15:50:43 -0800

I'm trying to compile ftpd 2.4 on a Sun Sparc 10 running solaris 2.4
using gcc 2.6.3.  I get the following errors during make complaining about
ELF libraries.  I've tried with both ld v2.4 and v2.6.  Is this a config 
error on my end with my GNU compiler, or am I seriously lacking something.

  % build sol
  -----
  make args are : 
  make opts are : 

  Linking Makefiles.
  ln: makefiles/Makefile.sol and Makefile are identical
  ln: config/config.sol and config.h are identical
  ln: makefiles/Makefile.sol and Makefile are identical

  Making support library.
  rm -f libsupport.a
  ar cq libsupport.a fnmatch.o strcasestr.o strsep.o authuser.o 
  touch libsupport.a

  Making ftpd.
  cc -g -DDEBUG -I.. -I../support -L../support -o ftpd ftpd.o ftpcmd.o glob.o logwtmp.o popen.o vers.o access.o extensions.o realpath.o acl.o private.o authenticate.o conversions.o hostacc.o -lsupport -lsocket -lnsl -lgen

  *****
  ld: fatal: file ../support/libsupport.a: unknown type, unable to process using elf(3E) libraries
  ld: fatal: File processing errors.  No output written to ftpd
  make: *** [ftpd] Error 1
  *****

  ... other similar errors omitted ...